# Chequea permisos y verifica archivos por actualizar en el repositorio CVS.
# Para ser usado desde CVSROOT/commitinfo
# Dominio público. Sin garantías. 2003. http://structio.sourceforge.net/repasa

usuario=`whoami`
echo "Chequeando permisos y verificando. Usuario: $usuario" 
dir=$1
shift
arch="$*"
for f in "$arch" ; do
	exst=1;
	n=$dir/$f;
	echo $n;
	if (test "$usuario" = "root") then {
		exst=0;
	} elif (test "$usuario" = "pepsub") then {
		case $n in 
			*planest/2004/bprimaria/1/castellano.*) exst=0;;
			*planest/2004/bprimaria/1/comportamiento.*) exst=0;;
			*planest/2004/bprimaria/1/dibujo.*) exst=0;;
			*planest/2004/bprimaria/1/edufisica.*) exst=0;;
			*planest/2004/bprimaria/1/dh.*) exst=0;;
			*planest/2004/bprimaria/1/matematicas.*) exst=0;;
		esac
	} elif (test "$usuario" = "jergon") then {
		case $n in
			*planest/2004/bprimaria/1/musica.*) exst=0;;
			*planest/2004/bprimaria/1/naturales.*) exst=0;;
			*planest/2004/bprimaria/1/religion.*) exst=0;;
			*planest/2004/bprimaria/1/sociales.*) exst=0;;
			*planest/2004/bprimaria/1/trabajomanual.*) exst=0;;
		esac
	} fi;
	if (test "$exst" != "0") then {
		echo "No puede escribir '$n'";
		exit 1;
	} fi;
	dirloc=`echo $dir | sed -e "s|.*planest/\(.*\)|/home/$usuario/planest/\1|g"`;
	nloc=$dirloc/$f;
	repchq -D $dirloc $nloc
	if (test "$?" != "0") then {
		echo "Problemas verificando";
		exit 1;
	} fi;
done;

exit 0;
